Core - Task # 38121

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Oliver Hader Category:

Created: 2012-06-16 Assigned To: Oliver Hader
Updated: 2012-06-16 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Use singleton objects for bootstrapping

Description

Use singleton objects for bootstrapping instead of calling static functions. This way the whole process can be extended and covered
by unit tests much better.

Related issues:
precedes Core - Feature # 38088: Enhance Bootstrap contexts Rejected 2012-06-17 2012-06-17

Associated revisions

Revision c06ce81d - 2012-06-16 20:43 - Oliver Hader

[TASK] Use singleton objects for bootstrapping

Use singleton objects for bootstrapping instead of calling
static functions. This way the whole process can be extended
and covered by unit tests much better.

Change-Id: 11d260cfff7a2fc783a709f43fc80de217d941016
Resolves: #38121

Releases: 6.0

Reviewed-on: http://review.typo3.org/12133

Tested-by: Philipp Gampe
Reviewed-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5de01b51 - 2012-06-23 23:42 - Oliver Hader

[TASK] Use singleton objects for bootstrapping

Use singleton objects for bootstrapping instead of calling

static functions. This way the whole process can be extended

and covered by unit tests much better.

Change-Id: 11d260cfff7a2fc783a709f43fc80de217d941016

Resolves: #38121
Releases: 6.0
Reviewed-on: http://review.typo3.org/12133

Tested-by: Philipp Gampe
Reviewed-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-06-16 18:47 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12133

#2 - 2012-06-16 18:54 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2012-06-16 20:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12133

#4 - 2012-06-16 20:17 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12133

#5 - 2012-06-16 21:30 - Oliver Hader
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:c06ce81d766d65b0d79762e2141faba9e8b8796.
